--- old/usr/src/uts/intel/smbfs/Makefile	Thu Aug  8 11:20:57 2019
+++ new/usr/src/uts/intel/smbfs/Makefile	Thu Aug  8 11:20:57 2019
@@ -64,7 +64,7 @@
 # Until CR 4994570 is fixed...
 LINTTAGS	+= -erroff=E_BAD_FORMAT_ARG_TYPE2
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns,signed,deref_check
--- old/usr/src/uts/intel/sockfs/Makefile	Thu Aug  8 11:20:59 2019
+++ new/usr/src/uts/intel/sockfs/Makefile	Thu Aug  8 11:20:59 2019
@@ -92,7 +92,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/sockpfp/Makefile	Thu Aug  8 11:21:00 2019
+++ new/usr/src/uts/intel/sockpfp/Makefile	Thu Aug  8 11:21:00 2019
@@ -64,7 +64,7 @@
 #
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 # needs work
--- old/usr/src/uts/intel/socksctp/Makefile	Thu Aug  8 11:21:02 2019
+++ new/usr/src/uts/intel/socksctp/Makefile	Thu Aug  8 11:21:02 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/socksdp/Makefile	Thu Aug  8 11:21:04 2019
+++ new/usr/src/uts/intel/socksdp/Makefile	Thu Aug  8 11:21:05 2019
@@ -59,7 +59,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS += -dy -Nfs/sockfs -Ndrv/ip -Ndrv/sdpib
 
--- old/usr/src/uts/intel/softmac/Makefile	Thu Aug  8 11:21:07 2019
+++ new/usr/src/uts/intel/softmac/Makefile	Thu Aug  8 11:21:07 2019
@@ -62,7 +62,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/intel/sol_ofs/Makefile	Thu Aug  8 11:21:09 2019
+++ new/usr/src/uts/intel/sol_ofs/Makefile	Thu Aug  8 11:21:09 2019
@@ -60,7 +60,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_CONST_TRUNCATED_BY_ASSIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/sol_umad/Makefile	Thu Aug  8 11:21:10 2019
+++ new/usr/src/uts/intel/sol_umad/Makefile	Thu Aug  8 11:21:10 2019
@@ -42,7 +42,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/spdsock/Makefile	Thu Aug  8 11:21:11 2019
+++ new/usr/src/uts/intel/spdsock/Makefile	Thu Aug  8 11:21:11 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/spdsockddi.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/specfs/Makefile	Thu Aug  8 11:21:12 2019
+++ new/usr/src/uts/intel/specfs/Makefile	Thu Aug  8 11:21:12 2019
@@ -74,7 +74,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/specvnops.o := SMOFF += signed
--- old/usr/src/uts/intel/sppp/Makefile	Thu Aug  8 11:21:12 2019
+++ new/usr/src/uts/intel/sppp/Makefile	Thu Aug  8 11:21:12 2019
@@ -77,7 +77,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/spppcomp/Makefile	Thu Aug  8 11:21:14 2019
+++ new/usr/src/uts/intel/spppcomp/Makefile	Thu Aug  8 11:21:14 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += indenting
--- old/usr/src/uts/intel/sppptun/Makefile	Thu Aug  8 11:21:14 2019
+++ new/usr/src/uts/intel/sppptun/Makefile	Thu Aug  8 11:21:14 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/srn/Makefile	Thu Aug  8 11:21:15 2019
+++ new/usr/src/uts/intel/srn/Makefile	Thu Aug  8 11:21:15 2019
@@ -50,7 +50,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/st/Makefile	Thu Aug  8 11:21:15 2019
+++ new/usr/src/uts/intel/st/Makefile	Thu Aug  8 11:21:15 2019
@@ -69,7 +69,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/stmf/Makefile	Thu Aug  8 11:21:15 2019
+++ new/usr/src/uts/intel/stmf/Makefile	Thu Aug  8 11:21:15 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/intel/stmf_sbd/Makefile	Thu Aug  8 11:21:15 2019
+++ new/usr/src/uts/intel/stmf_sbd/Makefile	Thu Aug  8 11:21:16 2019
@@ -73,7 +73,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/tavor/Makefile	Thu Aug  8 11:21:16 2019
+++ new/usr/src/uts/intel/tavor/Makefile	Thu Aug  8 11:21:16 2019
@@ -78,7 +78,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 # needs work
--- old/usr/src/uts/intel/tem/Makefile	Thu Aug  8 11:21:16 2019
+++ new/usr/src/uts/intel/tem/Makefile	Thu Aug  8 11:21:16 2019
@@ -63,7 +63,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/tl/Makefile	Thu Aug  8 11:21:16 2019
+++ new/usr/src/uts/intel/tl/Makefile	Thu Aug  8 11:21:16 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/tmpfs/Makefile	Thu Aug  8 11:21:17 2019
+++ new/usr/src/uts/intel/tmpfs/Makefile	Thu Aug  8 11:21:17 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 # needs work
--- old/usr/src/uts/intel/tnf/Makefile	Thu Aug  8 11:21:17 2019
+++ new/usr/src/uts/intel/tnf/Makefile	Thu Aug  8 11:21:17 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/tnf_writer.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/trill/Makefile	Thu Aug  8 11:21:17 2019
+++ new/usr/src/uts/intel/trill/Makefile	Thu Aug  8 11:21:18 2019
@@ -44,7 +44,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns
--- old/usr/src/uts/intel/udfs/Makefile	Thu Aug  8 11:21:18 2019
+++ new/usr/src/uts/intel/udfs/Makefile	Thu Aug  8 11:21:18 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 # needs work
--- old/usr/src/uts/intel/ufs/Makefile	Thu Aug  8 11:21:18 2019
+++ new/usr/src/uts/intel/ufs/Makefile	Thu Aug  8 11:21:18 2019
@@ -79,7 +79,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/intel/ugen/Makefile	Thu Aug  8 11:21:19 2019
+++ new/usr/src/uts/intel/ugen/Makefile	Thu Aug  8 11:21:19 2019
@@ -47,7 +47,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/uhci/Makefile	Thu Aug  8 11:21:19 2019
+++ new/usr/src/uts/intel/uhci/Makefile	Thu Aug  8 11:21:19 2019
@@ -71,7 +71,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/urf/Makefile	Thu Aug  8 11:21:19 2019
+++ new/usr/src/uts/intel/urf/Makefile	Thu Aug  8 11:21:19 2019
@@ -34,7 +34,7 @@
 CPPFLAGS	+= -I$(UTSBASE)/common/io/usbgem
 CPPFLAGS	+= -DVERSION=\"2.0.0\"
 CPPFLAGS	+= -DUSBGEM_CONFIG_GLDv3
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 LDFLAGS		+= -dy -N misc/mac -N drv/ip -N misc/usba -N misc/usbgem
 
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/intel/urtw/Makefile	Thu Aug  8 11:21:20 2019
+++ new/usr/src/uts/intel/urtw/Makefile	Thu Aug  8 11:21:20 2019
@@ -63,7 +63,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-char-subscripts
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check,no_if_block,all_func_returns
--- old/usr/src/uts/intel/usb_ac/Makefile	Thu Aug  8 11:21:20 2019
+++ new/usr/src/uts/intel/usb_ac/Makefile	Thu Aug  8 11:21:20 2019
@@ -62,7 +62,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/usb_ac.o := SMOFF += deref_check,indenting,testing_index_after_use
--- old/usr/src/uts/intel/usb_ah/Makefile	Thu Aug  8 11:21:20 2019
+++ new/usr/src/uts/intel/usb_ah/Makefile	Thu Aug  8 11:21:20 2019
@@ -72,7 +72,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/usbftdi/Makefile	Thu Aug  8 11:21:20 2019
+++ new/usr/src/uts/intel/usbftdi/Makefile	Thu Aug  8 11:21:20 2019
@@ -46,7 +46,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
--- old/usr/src/uts/intel/usbgem/Makefile	Thu Aug  8 11:21:21 2019
+++ new/usr/src/uts/intel/usbgem/Makefile	Thu Aug  8 11:21:21 2019
@@ -42,7 +42,7 @@
 		-DUSBGEM_CONFIG_MAC_PROP \
 		-DVERSION=\"1.6\"
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/usbms/Makefile	Thu Aug  8 11:21:21 2019
+++ new/usr/src/uts/intel/usbms/Makefile	Thu Aug  8 11:21:21 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/usbsacm/Makefile	Thu Aug  8 11:21:21 2019
+++ new/usr/src/uts/intel/usbsacm/Makefile	Thu Aug  8 11:21:21 2019
@@ -45,7 +45,7 @@
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/usbsksp/Makefile	Thu Aug  8 11:21:22 2019
+++ new/usr/src/uts/intel/usbsksp/Makefile	Thu Aug  8 11:21:22 2019
@@ -80,4 +80,4 @@
 #
 include $(UTSBASE)/intel/Makefile.targ
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
--- old/usr/src/uts/intel/usbsprl/Makefile	Thu Aug  8 11:21:22 2019
+++ new/usr/src/uts/intel/usbsprl/Makefile	Thu Aug  8 11:21:22 2019
@@ -45,7 +45,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
--- old/usr/src/uts/intel/usbvc/Makefile	Thu Aug  8 11:21:22 2019
+++ new/usr/src/uts/intel/usbvc/Makefile	Thu Aug  8 11:21:22 2019
@@ -73,7 +73,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/usbwcm/Makefile	Thu Aug  8 11:21:23 2019
+++ new/usr/src/uts/intel/usbwcm/Makefile	Thu Aug  8 11:21:23 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/vnic/Makefile	Thu Aug  8 11:21:23 2019
+++ new/usr/src/uts/intel/vnic/Makefile	Thu Aug  8 11:21:23 2019
@@ -57,7 +57,7 @@
 LDFLAGS		+= -dy -Ndrv/dld -Nmisc/mac -Nmisc/dls
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/vr/Makefile	Thu Aug  8 11:21:23 2019
+++ new/usr/src/uts/intel/vr/Makefile	Thu Aug  8 11:21:23 2019
@@ -58,7 +58,7 @@
 #
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += array_condition
--- old/usr/src/uts/intel/vuid2ps2/Makefile	Thu Aug  8 11:21:24 2019
+++ new/usr/src/uts/intel/vuid2ps2/Makefile	Thu Aug  8 11:21:24 2019
@@ -51,7 +51,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/vuid3ps2/Makefile	Thu Aug  8 11:21:26 2019
+++ new/usr/src/uts/intel/vuid3ps2/Makefile	Thu Aug  8 11:21:26 2019
@@ -51,7 +51,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/vuidm3p/Makefile	Thu Aug  8 11:21:27 2019
+++ new/usr/src/uts/intel/vuidm3p/Makefile	Thu Aug  8 11:21:28 2019
@@ -63,7 +63,7 @@
 #
 ALL_DEFS	+= -DVUIDM3P
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/vuidm4p/Makefile	Thu Aug  8 11:21:29 2019
+++ new/usr/src/uts/intel/vuidm4p/Makefile	Thu Aug  8 11:21:29 2019
@@ -63,7 +63,7 @@
 #
 ALL_DEFS	+= -DVUIDM4P
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/vuidm5p/Makefile	Thu Aug  8 11:21:30 2019
+++ new/usr/src/uts/intel/vuidm5p/Makefile	Thu Aug  8 11:21:30 2019
@@ -60,7 +60,7 @@
 
 ALL_DEFS	+= -DVUIDM5P
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/wc/Makefile	Thu Aug  8 11:21:30 2019
+++ new/usr/src/uts/intel/wc/Makefile	Thu Aug  8 11:21:30 2019
@@ -56,7 +56,7 @@
 #
 LDFLAGS		+= -dy -Nmisc/tem -Ndacf/consconfig_dacf
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/xge/Makefile	Thu Aug  8 11:21:32 2019
+++ new/usr/src/uts/intel/xge/Makefile	Thu Aug  8 11:21:32 2019
@@ -108,7 +108,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-empty-body
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += indenting,all_func_returns,no_if_block
--- old/usr/src/uts/intel/zut/Makefile	Thu Aug  8 11:21:33 2019
+++ new/usr/src/uts/intel/zut/Makefile	Thu Aug  8 11:21:33 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/zyd/Makefile	Thu Aug  8 11:21:35 2019
+++ new/usr/src/uts/intel/zyd/Makefile	Thu Aug  8 11:21:35 2019
@@ -59,7 +59,7 @@
 #
 LDFLAGS		+= -dy -Nmisc/mac -Nmisc/net80211 -Nmisc/usba
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/FSS/Makefile	Thu Aug  8 11:21:36 2019
+++ new/usr/src/uts/sparc/FSS/Makefile	Thu Aug  8 11:21:36 2019
@@ -69,7 +69,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/aac/Makefile	Thu Aug  8 11:21:36 2019
+++ new/usr/src/uts/sparc/aac/Makefile	Thu Aug  8 11:21:36 2019
@@ -70,7 +70,7 @@
 # 	Overrides
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sparc/aggr/Makefile	Thu Aug  8 11:21:37 2019
+++ new/usr/src/uts/sparc/aggr/Makefile	Thu Aug  8 11:21:37 2019
@@ -64,7 +64,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/audio/Makefile	Thu Aug  8 11:21:39 2019
+++ new/usr/src/uts/sparc/audio/Makefile	Thu Aug  8 11:21:39 2019
@@ -46,7 +46,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/audiocs/Makefile	Thu Aug  8 11:21:41 2019
+++ new/usr/src/uts/sparc/audiocs/Makefile	Thu Aug  8 11:21:41 2019
@@ -57,7 +57,7 @@
 #	Overrides
 #
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Depends on misc/audiosup
--- old/usr/src/uts/sparc/audioens/Makefile	Thu Aug  8 11:21:42 2019
+++ new/usr/src/uts/sparc/audioens/Makefile	Thu Aug  8 11:21:42 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/audiop16x/Makefile	Thu Aug  8 11:21:44 2019
+++ new/usr/src/uts/sparc/audiop16x/Makefile	Thu Aug  8 11:21:44 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/audiopci/Makefile	Thu Aug  8 11:21:45 2019
+++ new/usr/src/uts/sparc/audiopci/Makefile	Thu Aug  8 11:21:45 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/autofs/Makefile	Thu Aug  8 11:21:47 2019
+++ new/usr/src/uts/sparc/autofs/Makefile	Thu Aug  8 11:21:47 2019
@@ -78,7 +78,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/av1394/Makefile	Thu Aug  8 11:21:49 2019
+++ new/usr/src/uts/sparc/av1394/Makefile	Thu Aug  8 11:21:49 2019
@@ -75,7 +75,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
--- old/usr/src/uts/sparc/bge/Makefile	Thu Aug  8 11:21:50 2019
+++ new/usr/src/uts/sparc/bge/Makefile	Thu Aug  8 11:21:50 2019
@@ -77,7 +77,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/blowfish/Makefile	Thu Aug  8 11:21:50 2019
+++ new/usr/src/uts/sparc/blowfish/Makefile	Thu Aug  8 11:21:50 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/bnxe/Makefile	Thu Aug  8 11:21:51 2019
+++ new/usr/src/uts/sparc/bnxe/Makefile	Thu Aug  8 11:21:51 2019
@@ -87,7 +87,7 @@
 LDFLAGS		+= -dy -r -Ndrv/ip -Nmisc/mac
 #CERRWARN	+= -_gcc=-Wno-old-style-declaration
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-value
--- old/usr/src/uts/sparc/bofi/Makefile	Thu Aug  8 11:21:51 2019
+++ new/usr/src/uts/sparc/bofi/Makefile	Thu Aug  8 11:21:51 2019
@@ -83,7 +83,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/bpf/Makefile	Thu Aug  8 11:21:52 2019
+++ new/usr/src/uts/sparc/bpf/Makefile	Thu Aug  8 11:21:52 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/bridge/Makefile	Thu Aug  8 11:21:53 2019
+++ new/usr/src/uts/sparc/bridge/Makefile	Thu Aug  8 11:21:53 2019
@@ -57,7 +57,7 @@
 #
 CFLAGS		+= $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/sparc/busra/Makefile	Thu Aug  8 11:21:53 2019
+++ new/usr/src/uts/sparc/busra/Makefile	Thu Aug  8 11:21:53 2019
@@ -51,7 +51,7 @@
 include $(UTSBASE)/sparc/Makefile.sparc
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/c2audit/Makefile	Thu Aug  8 11:21:53 2019
+++ new/usr/src/uts/sparc/c2audit/Makefile	Thu Aug  8 11:21:53 2019
@@ -77,7 +77,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-clobbered
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/cardbus/Makefile	Thu Aug  8 11:21:54 2019
+++ new/usr/src/uts/sparc/cardbus/Makefile	Thu Aug  8 11:21:54 2019
@@ -78,7 +78,7 @@
 #	dependency
 LDFLAGS	+=	-dy -Nmisc/busra -Nmisc/pcmcia -Nmisc/hpcsvc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/cmlb/Makefile	Thu Aug  8 11:21:54 2019
+++ new/usr/src/uts/sparc/cmlb/Makefile	Thu Aug  8 11:21:54 2019
@@ -77,7 +77,7 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/cryptmod/Makefile	Thu Aug  8 11:21:55 2019
+++ new/usr/src/uts/sparc/cryptmod/Makefile	Thu Aug  8 11:21:55 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/crypto/Makefile	Thu Aug  8 11:21:55 2019
+++ new/usr/src/uts/sparc/crypto/Makefile	Thu Aug  8 11:21:55 2019
@@ -61,7 +61,7 @@
 
 LDFLAGS		+= -dy -Nmisc/kcf
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/cryptoadm/Makefile	Thu Aug  8 11:21:55 2019
+++ new/usr/src/uts/sparc/cryptoadm/Makefile	Thu Aug  8 11:21:55 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ctf/Makefile	Thu Aug  8 11:21:56 2019
+++ new/usr/src/uts/sparc/ctf/Makefile	Thu Aug  8 11:21:56 2019
@@ -52,7 +52,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/sparc/dad/Makefile	Thu Aug  8 11:21:56 2019
+++ new/usr/src/uts/sparc/dad/Makefile	Thu Aug  8 11:21:56 2019
@@ -76,7 +76,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
--- old/usr/src/uts/sparc/daplt/Makefile	Thu Aug  8 11:21:56 2019
+++ new/usr/src/uts/sparc/daplt/Makefile	Thu Aug  8 11:21:56 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/dcam1394/Makefile	Thu Aug  8 11:21:57 2019
+++ new/usr/src/uts/sparc/dcam1394/Makefile	Thu Aug  8 11:21:57 2019
@@ -66,7 +66,7 @@
 LDFLAGS		+= -dy -Nmisc/s1394
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #	Default build targets.
 #
--- old/usr/src/uts/sparc/dcfs/Makefile	Thu Aug  8 11:21:57 2019
+++ new/usr/src/uts/sparc/dcfs/Makefile	Thu Aug  8 11:21:57 2019
@@ -62,7 +62,7 @@
 CFLAGS		+= $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/des/Makefile	Thu Aug  8 11:21:58 2019
+++ new/usr/src/uts/sparc/des/Makefile	Thu Aug  8 11:21:58 2019
@@ -82,7 +82,7 @@
 LINTFLAGS	+= -I$(COM_DIR)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/dev/Makefile	Thu Aug  8 11:21:58 2019
+++ new/usr/src/uts/sparc/dev/Makefile	Thu Aug  8 11:21:58 2019
@@ -71,7 +71,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/devinfo/Makefile	Thu Aug  8 11:21:59 2019
+++ new/usr/src/uts/sparc/devinfo/Makefile	Thu Aug  8 11:21:59 2019
@@ -66,7 +66,7 @@
 CPPFLAGS	+= -I$(SRC)/common
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-clobbered
 
--- old/usr/src/uts/sparc/dld/Makefile	Thu Aug  8 11:22:00 2019
+++ new/usr/src/uts/sparc/dld/Makefile	Thu Aug  8 11:22:00 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/sparc/dls/Makefile	Thu Aug  8 11:22:01 2019
+++ new/usr/src/uts/sparc/dls/Makefile	Thu Aug  8 11:22:01 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Default build targets.
--- old/usr/src/uts/sparc/dmfe/Makefile	Thu Aug  8 11:22:02 2019
+++ new/usr/src/uts/sparc/dmfe/Makefile	Thu Aug  8 11:22:02 2019
@@ -56,7 +56,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # extra link arguments
--- old/usr/src/uts/sparc/doorfs/Makefile	Thu Aug  8 11:22:02 2019
+++ new/usr/src/uts/sparc/doorfs/Makefile	Thu Aug  8 11:22:02 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/dscpmk/Makefile	Thu Aug  8 11:22:03 2019
+++ new/usr/src/uts/sparc/dscpmk/Makefile	Thu Aug  8 11:22:03 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/dtrace/Makefile	Thu Aug  8 11:22:03 2019
+++ new/usr/src/uts/sparc/dtrace/Makefile	Thu Aug  8 11:22:03 2019
@@ -41,7 +41,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 ALL_TARGET	= $(BINARY) $(SRC_CONFILE)
 LINT_TARGET	= $(MODULE).lint
--- old/usr/src/uts/sparc/e1000g/Makefile	Thu Aug  8 11:22:04 2019
+++ new/usr/src/uts/sparc/e1000g/Makefile	Thu Aug  8 11:22:05 2019
@@ -62,7 +62,7 @@
 	-I$(UTSBASE)/common/io/e1000api
 
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sparc/ecc/Makefile	Thu Aug  8 11:22:05 2019
+++ new/usr/src/uts/sparc/ecc/Makefile	Thu Aug  8 11:22:05 2019
@@ -70,7 +70,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/ecpp/Makefile	Thu Aug  8 11:22:06 2019
+++ new/usr/src/uts/sparc/ecpp/Makefile	Thu Aug  8 11:22:06 2019
@@ -64,7 +64,7 @@
 # Turn this on once compiler understands v9 in it's backend
 #INLINES		+= $(UTSBASE)/sun/io/ecpp.il
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/sparc/efe/Makefile	Thu Aug  8 11:22:07 2019
+++ new/usr/src/uts/sparc/efe/Makefile	Thu Aug  8 11:22:07 2019
@@ -40,7 +40,7 @@
 CFLAGS		+= $(CCVERBOSE)
 LDFLAGS		+= -dy -N misc/mac -N misc/mii
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ehci/Makefile	Thu Aug  8 11:22:07 2019
+++ new/usr/src/uts/sparc/ehci/Makefile	Thu Aug  8 11:22:07 2019
@@ -53,7 +53,7 @@
 # lint pass one enforcement
 #
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/sparc/eibnx/Makefile	Thu Aug  8 11:22:08 2019
+++ new/usr/src/uts/sparc/eibnx/Makefile	Thu Aug  8 11:22:08 2019
@@ -81,7 +81,7 @@
 LINTTAGS += -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Default build targets
--- old/usr/src/uts/sparc/elfexec/Makefile	Thu Aug  8 11:22:08 2019
+++ new/usr/src/uts/sparc/elfexec/Makefile	Thu Aug  8 11:22:08 2019
@@ -74,7 +74,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
